Bug 854021 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Summary: [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server   
(Show other bugs)
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9e4679af7bedece6ff4887820e6...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-03 15:25 UTC by Zero
Modified: 2013-08-01 19:13 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 19:13:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-09-03 15:25 UTC, Zero
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (376 bytes, text/plain)
2012-09-03 15:25 UTC, Zero
no flags Details

Description Zero 2012-09-03 15:25:14 UTC
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.2-3.fc17.i686

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x4a) [0x80ac45a]
:1: /usr/bin/Xorg (0x8047000+0x6a498) [0x80b1498]
:2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb77a640c]
:3: /lib/libmtdev.so.1 (mtdev_close+0x1b) [0xb6e802bb]
:4: /usr/lib/xorg/modules/input/synaptics_drv.so (0xb5972000+0xcb93) [0xb597eb93]
:5: /usr/lib/xorg/modules/input/synaptics_drv.so (0xb5972000+0xcbd0) [0xb597ebd0]
:6: /usr/lib/xorg/modules/input/synaptics_drv.so (0xb5972000+0x2d91) [0xb5974d91]
:7: /usr/lib/xorg/modules/input/synaptics_drv.so (0xb5972000+0x2f19) [0xb5974f19]
:8: /usr/bin/Xorg (0x8047000+0x2494a) [0x806b94a]
:9: /usr/bin/Xorg (RemoveDevice+0x14d) [0x806fc3d]
:10: /usr/bin/Xorg (DeleteInputDeviceRequest+0x4d) [0x80d9bfd]
:11: /usr/bin/Xorg (0x8047000+0x243b0) [0x806b3b0]
:12: /usr/bin/Xorg (0x8047000+0x24ec0) [0x806bec0]
:13: /usr/bin/Xorg (0x8047000+0x1dd45) [0x8064d45]
:14: /lib/libc.so.6 (__libc_start_main+0xf5) [0x42562635]
:15: /usr/bin/Xorg (0x8047000+0x1e029) [0x8065029]

Comment 1 Zero 2012-09-03 15:25:17 UTC
Created attachment 609412 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 2 Zero 2012-09-03 15:25:20 UTC
Created attachment 609413 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 3 katastrophal 2012-09-10 04:04:04 UTC
After a reboot, after the GDM login, Xserver crashed.

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 4 Chris 2012-10-12 10:26:24 UTC
after the fedora updates are installed yesterday, the crash occured while working with terminator and some firefox instances

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 5 Adam Jackson 2012-10-18 21:48:18 UTC
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.

Comment 6 Mike H 2012-11-28 15:57:19 UTC
I can crash the x server by trying to start a VM in virtualbox or try to change settings.
Bring up the virtual box gui and try to "start".


Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 7 amod 2012-12-29 11:54:05 UTC
As soon i logged in i got this message

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 8 Fedora End Of Life 2013-07-04 07:16:34 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2013-08-01 19:13:51 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.